cURL
curl --request GET \ --url https://{companyName}.api.joinluminous.com/external/api/v1/warehouse-groups/{id} \ --header 'Authorization: Bearer <token>'
{ "data": { "id": 123, "uuid": "<string>", "name": "<string>", "description": "<string>", "warehouses": [ { "id": 123, "status": "<string>", "name": "<string>", "address": "<string>", "street_address_1": "<string>", "street_address_2": "<string>", "city": "<string>", "state": "<string>", "zip": "<string>", "country": "<string>", "is_pick_location": true, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" } ], "default_warehouse": { "id": 123, "status": "<string>", "name": "<string>", "address": "<string>", "street_address_1": "<string>", "street_address_2": "<string>", "city": "<string>", "state": "<string>", "zip": "<string>", "country": "<string>", "is_pick_location": true, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" }, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" } }
Retrieve a specific warehouse group by its ID.
Documentation IndexFetch the complete documentation index at: https://docs.joinluminous.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.joinluminous.com/llms.txt
Use this file to discover all available pages before exploring further.
Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.
Warehouse group ID
Successful response
Show child attributes